@import "variables/colors";
@import "variables/font";

.form-control-checkbox {
  position: relative;
  margin: 10px 0;
  text-align: left;
  min-width: 150px;

  label {
    cursor: pointer;
    display: inline;
    line-height: 20px;
    vertical-align: top;
    clear: both;
    padding-left: 1px;
    &:not(:empty) {
      padding-left: 2px;
    }

    &:before,
    &:after {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
    }

    &:before {
      // box
      width: 20px;
      height: 20px;
      background: #fff;
      border: 2px solid $neutral-40;
      border-radius: 4px;
      cursor: pointer;
      transition: background 0.3s;
    }
  }

  input[type="checkbox"] {
    outline: 0;
    visibility: hidden;
    width: 24px;
    margin: 0;
    display: inline-block;
    text-align: center;

    &:checked {
      + label:before {
        background: $caribbean-green-60;
        border: none;
      }
      &.primary {
        + label:before {
          background: $color-primary;
          border: none;
        }
      }

      + label:after {
        $md-checkmark-size: 1.25em - 2 * 0.25em;
        transform: translate(
            0.25em,
            calc(1.25em / 2) - calc($md-checkmark-size / 2.6)
          )
          rotate(-45deg);
        width: 10px;
        height: 6px;
        border: 2px solid #fff;
        border-top-style: none;
        border-right-style: none;
        position: absolute;
        left: 2px;
        top: 1px;
      }
    }

    &:disabled {
      + label:before {
        border-color: $neutral-10;
        background-color: $neutral-10;
        cursor: no-allowed;
      }
      &:checked {
        + label:before {
          background: $neutral-10;
          background-color: $neutral-20;
          cursor: no-allowed;
        }
      }
    }
  }
}
